#ifndef __CS1237_H
#define __CS1237_H

#include "at32f403a_407.h"
#include "wk_system.h"
 
#define CLK_TIME 1 //oK 
#define CS_CON  0X00   //芯片的配置：  内部REF; 输出10HZ;  PGA=1; 通道A
 
static int32_t complement_to_decimal(uint32_t adc_data);
static void C1237_OneClk(void);
static void Config_CS1237(void);
uint8_t CS1237_ReadReg(void);
void C1237_WriteReg(uint8_t mData);
 
/* 外部接口函数 */
uint8_t Init_CS1237(void);
double Volt_CS1237(void);
uint32_t C1237_ReadResult(void);
 
#endif